summaryrefslogtreecommitdiff
path: root/bin
diff options
context:
space:
mode:
Diffstat (limited to 'bin')
-rwxr-xr-xbin/heroku35
-rwxr-xr-xbin/setup6
2 files changed, 39 insertions, 2 deletions
diff --git a/bin/heroku b/bin/heroku
new file mode 100755
index 00000000..12f9cc17
--- /dev/null
+++ b/bin/heroku
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+set -e
+
+if [ "$BUILD_ASSETS" = true ]; then
+ BUILD_ASSETS=false npm install && npm run assets:install
+
+ # setup config files
+ cat << EOF > .sequelizerc
+var path = require('path');
+
+module.exports = {
+ 'config': path.resolve('config.json'),
+ 'migrations-path': path.resolve('lib', 'migrations'),
+ 'models-path': path.resolve('lib', 'models'),
+ 'url': process.env.DATABASE_URL,
+ 'dialect': process.env.DB_TYPE
+}
+
+EOF
+
+ cat << EOF > config.json
+
+{
+ "production": {
+ }
+}
+
+EOF
+
+ cp public/js/config.js.example public/js/config.js
+
+ # build app
+ npm run build
+fi
diff --git a/bin/setup b/bin/setup
index 8cd20dc7..19edeecf 100755
--- a/bin/setup
+++ b/bin/setup
@@ -2,7 +2,9 @@
# run command at repo root
CURRENT_PATH=$PWD
-cd $(git rev-parse --show-toplevel)
+if [ -d .git ]; then
+ cd $(git rev-parse --show-toplevel)
+fi
if ! type npm > /dev/null
then
@@ -34,7 +36,7 @@ if [ ! -f .sequelizerc ]; then
fi
echo "install npm and bower packages"
-npm install && bower install
+BUILD_ASSETS=false npm install && bower install
cat << EOF